org.keycloak.authorization.model

## Class Resource.SearchableFields

- java.lang.Object
- - org.keycloak.authorization.model.Resource.SearchableFields

- Enclosing interface:
    Resource

      public static class Resource.SearchableFields
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SearchableModelField<Resource>` | `ID`
    `static SearchableModelField<Resource>` | `NAME`
    `static SearchableModelField<Resource>` | `OWNER`
    `static SearchableModelField<Resource>` | `OWNER_MANAGED_ACCESS`
    `static SearchableModelField<Resource>` | `RESOURCE_SERVER_ID`
    `static SearchableModelField<Resource>` | `SCOPE_ID`
    `static SearchableModelField<Resource>` | `TYPE`
    `static SearchableModelField<Resource>` | `URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchableFields()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final SearchableModelField<Resource> ID

    - #### NAME

          public static final SearchableModelField<Resource> NAME

    - #### RESOURCE_SERVER_ID

          public static final SearchableModelField<Resource> RESOURCE_SERVER_ID

    - #### OWNER

          public static final SearchableModelField<Resource> OWNER

    - #### TYPE

          public static final SearchableModelField<Resource> TYPE

    - #### URI

          public static final SearchableModelField<Resource> URI

    - #### SCOPE_ID

          public static final SearchableModelField<Resource> SCOPE_ID

    - #### OWNER_MANAGED_ACCESS

          public static final SearchableModelField<Resource> OWNER_MANAGED_ACCESS

  - ### Constructor Detail

    - #### SearchableFields

          public SearchableFields()

Copyright © 2021 JBoss by Red Hat. All rights reserved.